HTMLDocument.BlockElement (Java SE 10 & JDK 10 )
Keywords: javax.swing.text.html.HTMLDocument.BlockElement class

Module java.desktop
Package javax.swing.text.html

## Class HTMLDocument.BlockElement

- java.lang.Object
- - javax.swing.text.AbstractDocument.AbstractElement
  - - javax.swing.text.AbstractDocument.BranchElement
    - - javax.swing.text.html.HTMLDocument.BlockElement

- All Implemented Interfaces:
    `Serializable`, `AttributeSet`, `Element`, `MutableAttributeSet`, `TreeNode`
  Enclosing class:
    HTMLDocument

      public class HTMLDocument.BlockElement
      extends AbstractDocument.BranchElement

  An element that represents a structural block of HTML.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface javax.swing.text.AttributeSet

      `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

  - ### Field Summary

    - ### Fields declared in interface javax.swing.text.AttributeSet

      `NameAttribute, ResolveAttribute`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlockElement​(Element parent, AttributeSet a)` | Constructs a composite element that initially contains no children.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Gets the name of the element.
    `AttributeSet` | `getResolveParent()` | Gets the resolving parent.

    - ### Methods declared in class javax.swing.text.AbstractDocument.AbstractElement

      `addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

    - ### Methods declared in class javax.swing.text.AbstractDocument.BranchElement

      `children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockElement

          public BlockElement​(Element parent,
                              AttributeSet a)

      Constructs a composite element that initially contains no children.
      Parameters:
        `parent` - the parent element
        `a` - the attributes for the element
      Since:
        1.4

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the element.
      Specified by:
        `getName` in interface `Element`
      Overrides:
        `getName` in class `AbstractDocument.BranchElement`
      Returns:
        the name, null if none

    - #### getResolveParent

          public AttributeSet getResolveParent()

      Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.
      Specified by:
        `getResolveParent` in interface `AttributeSet`
      Overrides:
        `getResolveParent` in class `AbstractDocument.AbstractElement`
      Returns:
        null, there are none
      See Also:
        `AttributeSet.getResolveParent()`